Bug 1290287 (CVE-2015-3223) - CVE-2015-3223 libldb: Remote DoS in Samba (AD) LDAP server
Summary: CVE-2015-3223 libldb: Remote DoS in Samba (AD) LDAP server
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-3223
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20151216,repor...
Depends On: 1290708 1290709 1290710 1290712 1290713 1290714 1290715 1291376 1292069
Blocks: 1281327
TreeView+ depends on / blocked
 
Reported: 2015-12-10 04:52 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 20:53 UTC (History)
16 users (show)

Fixed In Version: libldb 1.1.24
Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in the ldb_wildcard_compare() function of libldb. A remote attacker could send a specially crafted packet that, when processed by an application using libldb (for example the AD LDAP server in Samba), would cause that application to consume an excessive amount of memory and crash.
Clone Of:
Environment:
Last Closed: 2016-01-08 12:18:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0009 normal SHIPPED_LIVE Moderate: libldb security update 2016-01-08 06:12:46 UTC
Red Hat Product Errata RHSA-2016:0014 normal SHIPPED_LIVE Moderate: libldb security update 2016-01-08 14:13:42 UTC

Description Huzaifa S. Sidhpurwala 2015-12-10 04:52:49 UTC
As per samba upstream advisory:


All versions of Samba from 4.0.0 to 4.3.2 inclusive are vulnerable to a denial of service attack in the samba daemon LDAP server.

A malicious client can send packets that cause the LDAP server in the samba daemon process to become unresponsive, preventing the server from servicing any other requests.

This flaw is not exploitable beyond causing the code to loop expending CPU resources.

Comment 1 Huzaifa S. Sidhpurwala 2015-12-10 06:30:58 UTC
Acknowledgements:

Red Hat would like to thank the Samba project for reporting this issue. Upstream acknowledges Thilo Uttendorfer as the original reporter.

Comment 6 Siddharth Sharma 2015-12-16 12:09:04 UTC
Created samba tracking bugs for this issue:

Affects: fedora-all [bug 1292069]

Comment 7 Huzaifa S. Sidhpurwala 2015-12-17 04:11:29 UTC
External References:

https://www.samba.org/samba/security/CVE-2015-3223.html

Comment 14 errata-xmlrpc 2016-01-08 01:13:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2016:0009 https://rhn.redhat.com/errata/RHSA-2016-0009.html

Comment 15 errata-xmlrpc 2016-01-08 09:14:01 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.1 for RHEL 6
  Red Hat Gluster Storage 3.1 for RHEL 7

Via RHSA-2016:0014 https://rhn.redhat.com/errata/RHSA-2016-0014.html


Note You need to log in before you can comment on or make changes to this bug.